# Session Types

Session Types

 - [GET /sessionTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/listsessiontypes.md): This method will scan all session types and and return them to the caller.
 - [POST /sessionTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/createsessiontype.md): This method will auto-generate an ID and create a new session type. If an ID is specified for the session type, an error will be thrown.
 - [POST /sessionTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /sessionTypes/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/listsessiontypespublic.md): This method will scan all session types and and return them to the caller.
 - [DELETE /sessionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/deletesessiontype.md): This method will delete a session type with the specified ID.
 - [GET /sessionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/getsessiontype.md): This method will look up a session type by the specified ID and return it back.
 - [PATCH /sessionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/patchsessiontype.md): This method will patch an existing session type with the specified ID, using the HTTP PATCH specification.
 - [PUT /sessionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/updatesessiontype.md): This method will update an existing session type with the specified ID.
